import { FC, PropsWithChildren } from 'react';
import { Themable } from '../../../infra/contexts/theme-provider/types';
type Alignable = {
    align: 'left' | 'right' | 'full';
};
export declare const MessageContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & Themable & Alignable, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const TextMessage: FC<PropsWithChildren<Alignable>>;
export default TextMessage;
